classification
Title: PKG-INFO is created with CRLF on Windows
Type: Stage: resolved
Components: Distutils, Distutils2 Versions:
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, dholth, eric.araujo, ncoghlan, steve.dower, tarek, techtonik
Priority: normal Keywords:

Created on 2013-11-11 04:47 by techtonik, last changed 2021-02-03 18:30 by steve.dower. This issue is now closed.

Messages (3)
msg202602 - (view) Author: anatoly techtonik (techtonik) Date: 2013-11-11 04:47
When packaging on Windows, sdist creates PKG-INFO, which is different in linefeeds. It will be better if this is consistent between platforms.
msg213215 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2014-03-12 08:18
The docs and PEPs only define the PKG-INFO file as “a set of RFC 822-style headers”.  Character encoding was defined later to be UTF-8; there is no mention of explicit choice of platform-consistent or cross-platform linefeeds.

Are there tools out there that suffer from the use of CRLF in PKG-INFO files?  If not, I’ll close this as invalid: the behavior does not contradict the documentation.
msg386422 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:30
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:30:34steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386422

resolution: out of date
stage: resolved
2014-03-12 08:18:56eric.araujosetnosy: + ncoghlan, dholth

messages: + msg213215
versions: - Python 2.7, Python 3.4, Python 3.5
2013-11-11 04:47:08techtonikcreate